%define name xmms-kjofol-skins
%define pluginname kint_xmms
%define version 1.2.0
%define plugversion 0.95
%define release alt3

Name: %name
Summary: XMMS - Vis plugin to get kjofol skins + some kjofol skins
Version: %version
Release: %release
Source0: http://www.csse.monash.edu.au/~timf/%pluginname-%plugversion.tar.gz
Source1: kjofol-skins.tar.bz2
Patch0: kint_xmms-0.94.patch.bz2
Patch1: xmms-kj-makefile.patch
Patch2: xmms-kj-alt.patch.bz2
License: GPL
Group: Sound
Url: http://www.dgs.monash.edu.au/~timf/xmms/
# Packager: Kostya Timoshenko <kt@petr.kz>
BuildPreReq: xmms-devel XFree86-devel libpng-devel zlib-devel

%description
In this package you can find the Visualization plugin that enable K-Jofol skins
support, and several cute K-Jofol skins.

%prep
%setup -q -a 1 -n xmms-kj
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make vislib

%install
mkdir -p $RPM_BUILD_ROOT%_libdir/xmms/Visualization
mkdir -p $RPM_BUILD_ROOT%_datadir/xmms/kjofol
make LIBDIR=$RPM_BUILD_ROOT%_libdir/xmms/Visualization install-vislib
install -m644 default.zip kjofol/* $RPM_BUILD_ROOT%_datadir/xmms/kjofol

%files
%doc COPYING readme.txt
%_libdir/xmms/Visualization/libkjofol*
%_datadir/xmms/kjofol/

%changelog
* Mon Oct 28 2002 Anton Kachalov <mouse@altlinux.ru> 1.2.0-alt3
- Fixed PlayList font selecting
- Fixed empty PlayList crash

* Thu Oct 11 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.2.0-alt2
- Rebuilt with libpng.so.3

* Mon Jul 02 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.2.0-alt1
- Rebuild for xmms-1.2.5
- New version
- Some spec cleanup
- Added makefile patch

* Sun Dec 31 2000 Kostya Timoshenko <kt@petr.kz>
- build for RE

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-12mdk
- recompile with xmms following new lib policy

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-11mdk
- added full path location for plugin to ease further handle of package

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.1-10mdk
- automatically added BuildRequires

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-9mdk
- BM
- macros
- even more cool kjofol skins

* Mon May 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-8mdk
- Requires unzip (to uncompress the skins!)

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-7mdk
- BuildRequires: xmms-devel

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-6mdk
- first release as a separate SRPM
- added plugin documentation
